--GLOBAL VARIABLES
screen = {
		w = love.graphics.getWidth(),
		h = love.graphics.getHeight(),
		c = love.graphics.getWidth() / 2
	}

--loading files and shit
require "game"
require "player"
require "shaders"
require "menu"
require "msg"


function love.load()
	state = {
		menu = 0,
		game = 1
	}
	gamestate = state.menu
	love.graphics.setBackgroundColor(color_bg.a[1], color_bg.a[2], color_bg.a[3])
	love.timer.step()
end

function love.update(dt)
	if gamestate == state.game then
		game.update(dt)
	elseif gamestate == state.menu then
		menu.update(dt)
	end
end

function love.draw()
	if gamestate == state.game then
		game.draw()
	elseif gamestate == state.menu then
		menu.draw()
	end
end

function love.keypressed(key)
	if key == "escape" then
	--	love.event.push("quit")
	end
	
	if gamestate == state.game then
		game.keypressed(key)
	elseif gamestate == state.menu then
		menu.keypressed(key)
	end
end

function love.mousepressed(x, y, k)

	if gamestate == state.menu then
		menu.mousepressed(x, y, k)
	elseif gamestate == state.game then
		game.mousepressed(x, y, k)
	end
end

--Global functions

function checkCollision(ax1,ay1,aw,ah, bx1,by1,bw,bh)
	local ax2,ay2,bx2,by2 = ax1 + aw, ay1 + ah, bx1 + bw, by1 + bh
	return ax1 < bx2 and ax2 > bx1 and ay1 < by2 and ay2 > by1
end

function getDistance(x1, y1, x2, y2)
	local dx = x1-x2
	local dy = y1-y2
	return math.sqrt((dx * dx + dy * dy))
end