msg = {}

local m = {} --Stores massages

local fs = 400

col = {
		black = {0, 0, 0},
		green = {0, 200, 0},
		white = {255, 255, 255},
	}

function msg.print(t, x, y, d, s, c)
	m[#m + 1] = {
			t = t,
			x = x,
			y = y,
			d = d, -- decay
			s = love.graphics.newFont(s),
			r = false,--to remove
			c = c,
			a = 255, --alpha
			yVel = 0
		}
end

function msg.clear()
	for i=#m, 1, -1 do
		table.remove(m, i)
	end
end

function msg.update(dt)
	for i,v in ipairs(m) do
		v.d = v.d - dt
		if v.d < 0 then
			v.r = true
		end
		
		if v.r then
			v.a = v.a - fs * dt
			--v.yVel = v.yVel - (fs / 2) * dt
			--v.y = v.y + v.yVel * dt
			if v.a < 0 then
				table.remove(m, i)
			end
		end
	end
end

function msg.draw()
	for i,v in ipairs(m) do
		love.graphics.setColor(v.c[1], v.c[2], v.c[3], v.a)
		love.graphics.setFont(v.s)
		love.graphics.print(v.t, v.x, v.y)
	end
end